Package org.jboss.resteasy.spi.metadata

## Enum Parameter.ParamType

- java.lang.Object
- - java.lang.Enum<Parameter.ParamType>
  - - org.jboss.resteasy.spi.metadata.Parameter.ParamType

- All Implemented Interfaces:
    `Serializable`, `Comparable<Parameter.ParamType>`
  Enclosing class:
    Parameter

      public static enum Parameter.ParamType
      extends Enum<Parameter.ParamType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BEAN_PARAM` |
    `CONTEXT` |
    `COOKIE_PARAM` |
    `FORM` |
    `FORM_PARAM` |
    `HEADER_PARAM` |
    `MATRIX_PARAM` |
    `MESSAGE_BODY` |
    `PATH_PARAM` |
    `QUERY` |
    `QUERY_PARAM` |
    `SUSPENDED` |
    `UNKNOWN` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Parameter.ParamType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Parameter.ParamType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEAN_PARAM

          public static final Parameter.ParamType BEAN_PARAM

    - #### CONTEXT

          public static final Parameter.ParamType CONTEXT

    - #### COOKIE_PARAM

          public static final Parameter.ParamType COOKIE_PARAM

    - #### FORM_PARAM

          public static final Parameter.ParamType FORM_PARAM

    - #### HEADER_PARAM

          public static final Parameter.ParamType HEADER_PARAM

    - #### MATRIX_PARAM

          public static final Parameter.ParamType MATRIX_PARAM

    - #### MESSAGE_BODY

          public static final Parameter.ParamType MESSAGE_BODY

    - #### PATH_PARAM

          public static final Parameter.ParamType PATH_PARAM

    - #### QUERY_PARAM

          public static final Parameter.ParamType QUERY_PARAM

    - #### SUSPENDED

          public static final Parameter.ParamType SUSPENDED

    - #### UNKNOWN

          public static final Parameter.ParamType UNKNOWN

    - #### FORM

          public static final Parameter.ParamType FORM

    - #### QUERY

          public static final Parameter.ParamType QUERY

  - ### Method Detail

    - #### values

          public static Parameter.ParamType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Parameter.ParamType c : Parameter.ParamType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Parameter.ParamType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null